﻿<!--
    This file contains custom XAML styles that simplify Kinect for Windows development.
-->

<ResourceDictionary
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:k="http://schemas.microsoft.com/kinect/2014">

    <!-- Standard Colors and Brushes -->

    <!-- 107,107,107 -->
    <Color x:Key="LightGrayColor">#FF6B6B6B</Color>

    <!-- 58,58,58 -->
    <Color x:Key="MediumGrayColor">#FF3A3A3A</Color>

    <!-- 34,34,34 -->
    <Color x:Key="DarkGrayColor">#FF101010</Color>

    <!-- 235,235,235 -->
    <Color x:Key="WhiteColor">#FFEBEBEB</Color>

    <Color x:Key="BlackColor">#FF101010</Color>

    <SolidColorBrush x:Key="LightGrayBrush" Color="{StaticResource LightGrayColor}" />

    <SolidColorBrush x:Key="DarkGrayBrush" Color="{StaticResource DarkGrayColor}" />

    <SolidColorBrush x:Key="WhiteBrush" Color="{StaticResource WhiteColor}" />

    <SolidColorBrush x:Key="MediumGrayBrush" Color="{StaticResource MediumGrayColor}" />

    <SolidColorBrush x:Key="BlackBrush" Color="{StaticResource BlackColor}" />

    <ExponentialEase x:Key="VisualStateEasingFunction" Exponent="7" />

    <!-- Header Text Style -->
    <Style x:Key="HeaderStyle" TargetType="TextBlock">
        <Setter Property="FontSize" Value="28"/>
        <Setter Property="FontFamily" Value="Segoe UI Light" />
        <Setter Property="LineHeight" Value="36" />
        <Setter Property="Margin" Value="10 10 10 25" />
    </Style>

    <!-- Base Text Style -->
    <Style x:Name="BaseTextBlockStyle" TargetType="TextBlock">
        <Setter Property="FontFamily" Value="Segoe UI" />
        <Setter Property="FontSize" Value="24" />
        <Setter Property="VerticalAlignment" Value="Center" />
    </Style>

    <SolidColorBrush x:Key="ListViewItemPlaceholderBackgroundThemeBrush" Color="Black"/>
    <SolidColorBrush x:Key="ListViewItemOverlayBackgroundThemeBrush" Color="DarkGray" />
    <SolidColorBrush x:Key="ListViewItemOverlayForegroundThemeBrush" Color="Yellow" />
    <SolidColorBrush x:Key="ListViewItemOverlaySecondaryForegroundThemeBrush" Color="Aqua"/>
    
    <Style x:Key="KinectTileButton" TargetType="Button">
        <Setter Property="Template">
            <Setter.Value>
                <ControlTemplate TargetType="Button">
                    <Border x:Name="focusRect" BorderThickness="6" Margin="-6">
                        <ContentPresenter />
                        <Border.BorderBrush>
                            <SolidColorBrush x:Name="focusRectBrush" Color="Transparent" />
                        </Border.BorderBrush>
                        <VisualStateManager.VisualStateGroups>
                            <VisualStateGroup x:Name="CommonStates">
                                <VisualState x:Name="Normal"/>
                                <VisualState x:Name="MouseOver">
                                    <Storyboard>
                                        <ColorAnimation Duration="0" Storyboard.TargetName="focusRectBrush" Storyboard.TargetProperty="Color" To="Gray"/>
                                    </Storyboard>
                                </VisualState>
                                <VisualState x:Name="Pressed">
                                    <Storyboard>
                                        <ColorAnimation Duration="0" Storyboard.TargetName="focusRectBrush" Storyboard.TargetProperty="Color" To="Gray"/>
                                    </Storyboard>
                                </VisualState>
                            </VisualStateGroup>
                        </VisualStateManager.VisualStateGroups>
                    </Border>
                </ControlTemplate>
            </Setter.Value>
        </Setter>
    </Style>

    <DataTemplate x:Key="Kinect250x250ItemTemplate">
        <Button Margin="3" Style="{StaticResource KinectTileButton}">
            <Grid HorizontalAlignment="Left" Width="250" Height="250">
                <Border Background="{StaticResource ListViewItemPlaceholderBackgroundThemeBrush}">
                    <Image Source="{Binding Image}" Stretch="UniformToFill" AutomationProperties.Name="{Binding Title}"/>
                </Border>
                <StackPanel VerticalAlignment="Bottom" Background="{StaticResource ListViewItemOverlayBackgroundThemeBrush}">
                    <TextBlock Text="{Binding Title}" Foreground="{StaticResource ListViewItemOverlayForegroundThemeBrush}" Style="{StaticResource TitleTextStyle}" Height="60" Margin="15,0,15,0"/>
                    <TextBlock Text="{Binding Subtitle}" Foreground="{StaticResource ListViewItemOverlaySecondaryForegroundThemeBrush}" Style="{StaticResource CaptionTextStyle}" TextWrapping="NoWrap" Margin="15,0,15,10"/>
                </StackPanel>
            </Grid>
        </Button>
    </DataTemplate>

    <DataTemplate x:Key="KinectDefaultItemTemplate">
        <Button Margin="4" Style="{StaticResource KinectTileButton}">
            <Grid Height="300" Background="Gray">
                <TextBlock Text="{Binding Title}" Foreground="White" Margin="20"/>
            </Grid>
        </Button>
    </DataTemplate>
    
    <!-- Button Text Style -->
    <Style x:Key="ButtonTextStyle" TargetType="TextBlock">
        <Setter Property="FontFamily" Value="Segoe UI" />
        <Setter Property="FontWeight" Value="SemiBold" />
        <Setter Property="FontSize" Value="24" />
        <Setter Property="Margin" Value="0" />
        <Setter Property="LineHeight" Value="48" />
        <Setter Property="TextWrapping" Value="Wrap" />
        <Setter Property="VerticalAlignment" Value="Center" />
    </Style>

    <!-- Single button style -->
    <Style x:Key="SingleButtonStyle" TargetType="Button">
        <Setter Property="HorizontalAlignment" Value="Left" />
        <Setter Property="VerticalAlignment" Value="Top" />
        <Setter Property="HorizontalContentAlignment" Value="Left" />
        <Setter Property="VerticalContentAlignment" Value="Bottom" />
        <Setter Property="Height" Value="112" />
        <Setter Property="Width" Value="216" />
        <Setter Property="Padding" Value="14,20,0,16" />
        <Setter Property="Foreground" Value="{StaticResource WhiteBrush}" />
        <Setter Property="Background" Value="Transparent" />
        <Setter Property="BorderThickness" Value="1" />
        <Setter Property="Template">
            <Setter.Value>
                <ControlTemplate TargetType="Button">
                    <Grid>
                        <VisualStateManager.VisualStateGroups>
                            <VisualStateGroup x:Name="CommonStates">
                                <VisualStateGroup.Transitions>
                                    <VisualTransition From="Pressed" GeneratedDuration="0">
                                        <Storyboard>
                                            <DoubleAnimation Duration="0:0:0.333"
                                                To="0"
                                                Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleX)"
                                                Storyboard.TargetName="rectangle">
                                                <DoubleAnimation.EasingFunction>
                                                    <ExponentialEase Exponent="7" />
                                                </DoubleAnimation.EasingFunction>
                                            </DoubleAnimation>
                                            <DoubleAnimation Duration="0:0:0.333"
                                                To="0"
                                                Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleX)"
                                                Storyboard.TargetName="rectangle1">
                                                <DoubleAnimation.EasingFunction>
                                                    <ExponentialEase Exponent="7" />
                                                </DoubleAnimation.EasingFunction>
                                            </DoubleAnimation>
                                            <DoubleAnimation Duration="0:0:0.333"
                                                To="0"
                                                Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleY)"
                                                Storyboard.TargetName="rectangle2">
                                                <DoubleAnimation.EasingFunction>
                                                    <ExponentialEase Exponent="7" />
                                                </DoubleAnimation.EasingFunction>
                                            </DoubleAnimation>
                                            <DoubleAnimation Duration="0:0:0.333"
                                                To="0"
                                                Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleY)"
                                                Storyboard.TargetName="rectangle3">
                                                <DoubleAnimation.EasingFunction>
                                                    <ExponentialEase Exponent="7" />
                                                </DoubleAnimation.EasingFunction>
                                            </DoubleAnimation>
                                            <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="DarkMask">
                                                <DiscreteObjectKeyFrame KeyTime="0:0:0.333">
                                                    <DiscreteObjectKeyFrame.Value>
                                                        <Visibility>Visible</Visibility>
                                                    </DiscreteObjectKeyFrame.Value>
                                                </DiscreteObjectKeyFrame>
                                            </ObjectAnimationUsingKeyFrames>
                                        </Storyboard>
                                    </VisualTransition>
                                </VisualStateGroup.Transitions>
                                <VisualState x:Name="Normal" />
                                <VisualState x:Name="PointerOver">
                                    <Storyboard>
                                        <DoubleAnimation Duration="0"
                                            To="1"
                                            Storyboard.TargetProperty="(UIElement.Opacity)"
                                            Storyboard.TargetName="PointerOverHighlight" />
                                    </Storyboard>
                                </VisualState>
                                <VisualState x:Name="Pressed">
                                    <Storyboard>
                                        <DoubleAnimation Duration="0:0:0.133"
                                            To="1"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleX)"
                                            Storyboard.TargetName="rectangle">
                                            <DoubleAnimation.EasingFunction>
                                                <ExponentialEase Exponent="7" />
                                            </DoubleAnimation.EasingFunction>
                                        </DoubleAnimation>
                                        <DoubleAnimation Duration="0:0:0.133"
                                            To="1"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleX)"
                                            Storyboard.TargetName="rectangle1">
                                            <DoubleAnimation.EasingFunction>
                                                <ExponentialEase Exponent="7" />
                                            </DoubleAnimation.EasingFunction>
                                        </DoubleAnimation>
                                        <DoubleAnimation Duration="0:0:0.133"
                                            To="1"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleY)"
                                            Storyboard.TargetName="rectangle2">
                                            <DoubleAnimation.EasingFunction>
                                                <ExponentialEase Exponent="7" />
                                            </DoubleAnimation.EasingFunction>
                                        </DoubleAnimation>
                                        <DoubleAnimation Duration="0:0:0.133"
                                            To="1"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleY)"
                                            Storyboard.TargetName="rectangle3">
                                            <DoubleAnimation.EasingFunction>
                                                <ExponentialEase Exponent="7" />
                                            </DoubleAnimation.EasingFunction>
                                        </DoubleAnimation>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="DarkMask">
                                            <DiscreteObjectKeyFrame KeyTime="0">
                                                <DiscreteObjectKeyFrame.Value>
                                                    <Visibility>Visible</Visibility>
                                                </DiscreteObjectKeyFrame.Value>
                                            </DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>
                                    </Storyboard>
                                </VisualState>
                                <VisualState x:Name="Disabled">
                                    <Storyboard>
                                        <!-- TODO: To="{StaticResource DisabledOpacity}" -->
                                        <DoubleAnimation Duration="0"
                                            To="0"
                                            Storyboard.TargetProperty="(UIElement.Opacity)"
                                            Storyboard.TargetName="ContentPresenter" />
                                    </Storyboard>
                                </VisualState>
                            </VisualStateGroup>
                            <VisualStateGroup x:Name="FocusStates">
                                <VisualStateGroup.Transitions>
                                    <VisualTransition From="Focused"
                                        To="Unfocused"
                                        GeneratedDuration="0:0:0.133">
                                        <VisualTransition.GeneratedEasingFunction>
                                            <ExponentialEase Exponent="7" />
                                        </VisualTransition.GeneratedEasingFunction>
                                    </VisualTransition>
                                    <VisualTransition From="PointerFocused"
                                        To="Unfocused"
                                        GeneratedDuration="0:0:0.133">
                                        <VisualTransition.GeneratedEasingFunction>
                                            <ExponentialEase Exponent="7" />
                                        </VisualTransition.GeneratedEasingFunction>
                                    </VisualTransition>
                                </VisualStateGroup.Transitions>
                                <VisualState x:Name="Focused">
                                    <Storyboard>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="Background" Storyboard.TargetName="Border">
                                            <DiscreteObjectKeyFrame KeyTime="0" Value="{StaticResource MediumGrayBrush}" />
                                        </ObjectAnimationUsingKeyFrames>
                                        <DoubleAnimation Duration="0"
                                            To="1"
                                            Storyboard.TargetProperty="(UIElement.Opacity)"
                                            Storyboard.TargetName="FocusHighlight" />
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="FocusHighlight">
                                            <DiscreteObjectKeyFrame KeyTime="0">
                                                <DiscreteObjectKeyFrame.Value>
                                                    <Visibility>Visible</Visibility>
                                                </DiscreteObjectKeyFrame.Value>
                                            </DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>
                                        <DoubleAnimation Duration="0:0:0.0"
                                            To=".285"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleX)"
                                            Storyboard.TargetName="rectangle" />
                                        <DoubleAnimation Duration="0:0:0.0"
                                            To=".285"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleX)"
                                            Storyboard.TargetName="rectangle1" />
                                        <DoubleAnimation Duration="0:0:0.0"
                                            To=".285"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleY)"
                                            Storyboard.TargetName="rectangle2" />
                                        <DoubleAnimation Duration="0:0:0.0"
                                            To=".285"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleY)"
                                            Storyboard.TargetName="rectangle3" />
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="DarkMask">
                                            <DiscreteObjectKeyFrame KeyTime="0:0:0.0">
                                                <DiscreteObjectKeyFrame.Value>
                                                    <Visibility>Visible</Visibility>
                                                </DiscreteObjectKeyFrame.Value>
                                            </DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>
                                        <!-- TODO: Add EnableDependentAnimation="True" to this element -->
                                        <!--<ObjectAnimationUsingKeyFrames Duration="0"
                                            Storyboard.TargetProperty="PlayState"
                                            Storyboard.TargetName="focusSound">
                                            <DiscreteObjectKeyFrame KeyTime="0" Value="1"></DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>-->
                                    </Storyboard>
                                </VisualState>
                                <VisualState x:Name="Unfocused" />
                                <VisualState x:Name="PointerFocused">
                                    <Storyboard>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="Background" Storyboard.TargetName="Border">
                                            <DiscreteObjectKeyFrame KeyTime="0" Value="{StaticResource MediumGrayBrush}" />
                                        </ObjectAnimationUsingKeyFrames>
                                        <DoubleAnimation Duration="0"
                                            To="1"
                                            Storyboard.TargetProperty="(UIElement.Opacity)"
                                            Storyboard.TargetName="FocusHighlight" />
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="FocusHighlight">
                                            <DiscreteObjectKeyFrame KeyTime="0">
                                                <DiscreteObjectKeyFrame.Value>
                                                    <Visibility>Visible</Visibility>
                                                </DiscreteObjectKeyFrame.Value>
                                            </DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>
                                        <DoubleAnimation Duration="0:0:0.0"
                                            To=".285"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleX)"
                                            Storyboard.TargetName="rectangle" />
                                        <DoubleAnimation Duration="0:0:0.0"
                                            To=".285"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleX)"
                                            Storyboard.TargetName="rectangle1" />
                                        <DoubleAnimation Duration="0:0:0.0"
                                            To=".285"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleY)"
                                            Storyboard.TargetName="rectangle2" />
                                        <DoubleAnimation Duration="0:0:0.0"
                                            To=".285"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleY)"
                                            Storyboard.TargetName="rectangle3" />
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="DarkMask">
                                            <DiscreteObjectKeyFrame KeyTime="0:0:0.0">
                                                <DiscreteObjectKeyFrame.Value>
                                                    <Visibility>Visible</Visibility>
                                                </DiscreteObjectKeyFrame.Value>
                                            </DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>
                                    </Storyboard>
                                </VisualState>
                            </VisualStateGroup>
                        </VisualStateManager.VisualStateGroups>

                        <ContentControl x:Name="PointerOverHighlight"
                            Content=""
                            Background="{StaticResource MediumGrayBrush}"
                            BorderBrush="{StaticResource WhiteBrush}"
                            BorderThickness="4"
                            IsTabStop="False"                                        
                            Opacity="0">
                            <ContentControl.Template>
                                <ControlTemplate TargetType="ContentControl">
                                    <Grid>
                                        <!-- TODO: Add NineGrid="38" to this element -->
                                        <Image x:Name="HilightRectangle"
                                           Source="HighlightRectangle.png"
                                           Stretch="Fill"
                                           Margin="-31,-30" />
                                        <Border x:Name="HighlightBorder"
                                            BorderBrush="{TemplateBinding BorderBrush}"
                                            Background="{TemplateBinding Background}"
                                            BorderThickness="{TemplateBinding BorderThickness}"
                                            Margin="-8" />
                                        <!-- TODO: Add ContentTransitions="{TemplateBinding ContentTransitions}" to this element-->
                                        <ContentPresenter ContentTemplate="{TemplateBinding ContentTemplate}"                                            
                                            Content="{TemplateBinding Content}"
                                            HorizontalAlignment="{TemplateBinding HorizontalContentAlignment}"
                                            Margin="{TemplateBinding Padding}"
                                            VerticalAlignment="{TemplateBinding VerticalContentAlignment}" />
                                    </Grid>
                                </ControlTemplate>
                            </ContentControl.Template>
                        </ContentControl>

                        <ContentControl x:Name="FocusHighlight"
                                        Background="{StaticResource MediumGrayBrush}"
                                        BorderBrush="{StaticResource WhiteBrush}"
                                        BorderThickness="4" 
                                        IsTabStop="False"
                                        Content=""
                                        Opacity="0"
                                        Visibility="Collapsed">
                            <ContentControl.Template>
                                <ControlTemplate TargetType="ContentControl">
                                    <Grid>
                                        <!-- TODO: Add NineGrid="38" to this element -->
                                        <Image x:Name="HilightRectangle"
                                                Source="HighlightRectangle.png"
                                                Stretch="Fill"
                                                Margin="-31,-30" />
                                        <Border x:Name="HighlightBorder"
                                                BorderBrush="{TemplateBinding BorderBrush}"
                                                Background="{TemplateBinding Background}"
                                                BorderThickness="{TemplateBinding BorderThickness}"
                                                Margin="-8" />
                                        <!-- TODO: Add ContentTransitions="{TemplateBinding ContentTransitions}" to this element-->
                                        <ContentPresenter ContentTemplate="{TemplateBinding ContentTemplate}"
                                                Content="{TemplateBinding Content}"
                                                HorizontalAlignment="{TemplateBinding HorizontalContentAlignment}"
                                                Margin="{TemplateBinding Padding}"
                                                VerticalAlignment="{TemplateBinding VerticalContentAlignment}" />
                                    </Grid>
                                </ControlTemplate>
                            </ContentControl.Template>
                        </ContentControl>

                        <Border x:Name="Border"
                            BorderThickness="{TemplateBinding BorderThickness}"
                            BorderBrush="{StaticResource MediumGrayBrush}"
                            Background="{TemplateBinding Background}"
                            RenderTransformOrigin="0.5,0.5">
                            <Border.RenderTransform>
                                <ScaleTransform />
                            </Border.RenderTransform>
                            <Grid x:Name="ContentPresenter" VerticalAlignment="Center" HorizontalAlignment="Left">
                                <TextBlock Text="{TemplateBinding Content}"
                                    Padding="{TemplateBinding Padding}"
                                    VerticalAlignment="Stretch"
                                    HorizontalAlignment="Stretch"     
                                    Style="{StaticResource ButtonTextStyle}"
                                    Canvas.ZIndex="2" />
                            </Grid>
                        </Border>
                        <Grid x:Name="DarkMask"
                            Visibility="Collapsed"
                            Margin="-4">
                            <Rectangle x:Name="rectangle"
                                Fill="{StaticResource DarkGrayBrush}"
                                HorizontalAlignment="Left"
                                Width="14"
                                RenderTransformOrigin="0,0.5">
                                <Rectangle.RenderTransform>
                                    <ScaleTransform ScaleX="0" />
                                </Rectangle.RenderTransform>
                            </Rectangle>
                            <Rectangle x:Name="rectangle1"
                                Fill="{StaticResource DarkGrayBrush}"
                                HorizontalAlignment="Right"
                                Width="14"
                                RenderTransformOrigin="1,0.5">
                                <Rectangle.RenderTransform>
                                    <ScaleTransform ScaleX="0" />
                                </Rectangle.RenderTransform>
                            </Rectangle>
                            <Rectangle x:Name="rectangle2"
                                Fill="{StaticResource DarkGrayBrush}"
                                Height="14"
                                VerticalAlignment="Top"
                                RenderTransformOrigin="0.5,0">
                                <Rectangle.RenderTransform>                                    
                                    <ScaleTransform ScaleY="0" />
                                </Rectangle.RenderTransform>
                            </Rectangle>
                            <Rectangle x:Name="rectangle3"
                                Fill="{StaticResource DarkGrayBrush}"
                                Height="14"
                                VerticalAlignment="Bottom"
                                RenderTransformOrigin="0.5,1">
                                <Rectangle.RenderTransform>
                                    <ScaleTransform ScaleY="0" />
                                </Rectangle.RenderTransform>
                            </Rectangle>
                        </Grid>
                    </Grid>
                </ControlTemplate>
            </Setter.Value>
        </Setter>
    </Style>

    <!-- Stacked Button Style -->
    <Style x:Key="StackedButtonStyle"
               TargetType="Button"
               BasedOn="{StaticResource SingleButtonStyle}">
        <Setter Property="BorderThickness" Value="0,0,0,1" />
    </Style>

    <!-- Radio Button Style -->
    <Style x:Key="RadioButtonStyle" TargetType="RadioButton">
        <Setter Property="MinHeight" Value="112" />
        <Setter Property="MinWidth" Value="316" />
        <Setter Property="MaxWidth" Value="948" />
        <Setter Property="Padding" Value="18,14,18,14" />
        <Setter Property="Foreground" Value="{StaticResource WhiteBrush}" />
        <Setter Property="HorizontalAlignment" Value="Left" />
        <Setter Property="VerticalAlignment" Value="Top" />
        <Setter Property="HorizontalContentAlignment" Value="Left" />
        <Setter Property="VerticalContentAlignment" Value="Top" />
        <Setter Property="BorderThickness"  Value="0,1,0,0" />
        <Setter Property="Background" Value="Transparent" />
        <Setter Property="Template">
            <Setter.Value>
                <ControlTemplate TargetType="RadioButton">
                    <Grid Margin="4,6" VerticalAlignment="Top">
                        <VisualStateManager.VisualStateGroups>
                            <VisualStateGroup x:Name="CommonStates">
                                <VisualStateGroup.Transitions>
                                    <VisualTransition From="Pressed" GeneratedDuration="0">
                                        <Storyboard>
                                            <DoubleAnimation Duration="0:0:0.333"
                                                To="0"
                                                Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleX)"
                                                Storyboard.TargetName="rectangle">
                                                <DoubleAnimation.EasingFunction>
                                                    <ExponentialEase Exponent="7" />
                                                </DoubleAnimation.EasingFunction>
                                            </DoubleAnimation>
                                            <DoubleAnimation Duration="0:0:0.333"
                                                To="0"
                                                Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleX)"
                                                Storyboard.TargetName="rectangle1">
                                                <DoubleAnimation.EasingFunction>
                                                    <ExponentialEase Exponent="7" />
                                                </DoubleAnimation.EasingFunction>
                                            </DoubleAnimation>
                                            <DoubleAnimation Duration="0:0:0.333"
                                                To="0"
                                                Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleY)"
                                                Storyboard.TargetName="rectangle2">
                                                <DoubleAnimation.EasingFunction>
                                                    <ExponentialEase Exponent="7" />
                                                </DoubleAnimation.EasingFunction>
                                            </DoubleAnimation>
                                            <DoubleAnimation Duration="0:0:0.333"
                                                To="0"
                                                Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleY)"
                                                Storyboard.TargetName="rectangle3">
                                                <DoubleAnimation.EasingFunction>
                                                    <ExponentialEase Exponent="7" />
                                                </DoubleAnimation.EasingFunction>
                                            </DoubleAnimation>
                                            <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="DarkMask">
                                                <DiscreteObjectKeyFrame KeyTime="0:0:0.333">
                                                    <DiscreteObjectKeyFrame.Value>
                                                        <Visibility>Visible</Visibility>
                                                    </DiscreteObjectKeyFrame.Value>
                                                </DiscreteObjectKeyFrame>
                                            </ObjectAnimationUsingKeyFrames>
                                        </Storyboard>
                                    </VisualTransition>
                                    <VisualTransition From="PointerOver"
                                        To="Normal"
                                        GeneratedDuration="0:0:0.33">
                                        <VisualTransition.GeneratedEasingFunction>
                                            <QuarticEase />
                                        </VisualTransition.GeneratedEasingFunction>
                                    </VisualTransition>
                                </VisualStateGroup.Transitions>
                                <VisualState x:Name="Normal" />
                                <VisualState x:Name="PointerOver">
                                    <Storyboard>
                                        <DoubleAnimation Duration="0"
                                            To="1"
                                            Storyboard.TargetProperty="(UIElement.Opacity)"
                                            Storyboard.TargetName="PointerOverHighlight" />
                                    </Storyboard>
                                </VisualState>
                                <VisualState x:Name="Pressed">
                                    <Storyboard>
                                        <DoubleAnimation Duration="0:0:0.133"
                                            To="1"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleX)"
                                            Storyboard.TargetName="rectangle">
                                            <DoubleAnimation.EasingFunction>
                                                <ExponentialEase Exponent="7" />
                                            </DoubleAnimation.EasingFunction>
                                        </DoubleAnimation>
                                        <DoubleAnimation Duration="0:0:0.133"
                                            To="1"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleX)"
                                            Storyboard.TargetName="rectangle1">
                                            <DoubleAnimation.EasingFunction>
                                                <ExponentialEase Exponent="7" />
                                            </DoubleAnimation.EasingFunction>
                                        </DoubleAnimation>
                                        <DoubleAnimation Duration="0:0:0.133"
                                            To="1"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleY)"
                                            Storyboard.TargetName="rectangle2">
                                            <DoubleAnimation.EasingFunction>
                                                <ExponentialEase Exponent="7" />
                                            </DoubleAnimation.EasingFunction>
                                        </DoubleAnimation>
                                        <DoubleAnimation Duration="0:0:0.133"
                                            To="1"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleY)"
                                            Storyboard.TargetName="rectangle3">
                                            <DoubleAnimation.EasingFunction>
                                                <ExponentialEase Exponent="7" />
                                            </DoubleAnimation.EasingFunction>
                                        </DoubleAnimation>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="DarkMask">
                                            <DiscreteObjectKeyFrame KeyTime="0">
                                                <DiscreteObjectKeyFrame.Value>
                                                    <Visibility>Visible</Visibility>
                                                </DiscreteObjectKeyFrame.Value>
                                            </DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>
                                    </Storyboard>
                                </VisualState>
                                <VisualState x:Name="Disabled">
                                    <Storyboard>
                                        <!-- TODO: To="{StaticResource DisabledOpacity}" -->
                                        <DoubleAnimation Duration="0"
                                            To="0"
                                            Storyboard.TargetProperty="(UIElement.Opacity)"
                                            Storyboard.TargetName="ContentPresenter" />
                                    </Storyboard>
                                </VisualState>
                            </VisualStateGroup>
                            <VisualStateGroup x:Name="FocusStates">
                                <VisualStateGroup.Transitions>
                                    <VisualTransition From="Focused"
                                        To="Unfocused"
                                        GeneratedDuration="0:0:0.33">
                                        <VisualTransition.GeneratedEasingFunction>
                                            <QuarticEase />
                                        </VisualTransition.GeneratedEasingFunction>
                                    </VisualTransition>
                                    <VisualTransition From="PointerFocused"
                                        To="Unfocused"
                                        GeneratedDuration="0:0:0.33">
                                        <VisualTransition.GeneratedEasingFunction>
                                            <QuarticEase />
                                        </VisualTransition.GeneratedEasingFunction>
                                    </VisualTransition>
                                </VisualStateGroup.Transitions>
                                <VisualState x:Name="Focused">
                                    <Storyboard>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="Background" Storyboard.TargetName="Border">
                                            <DiscreteObjectKeyFrame KeyTime="0" Value="{StaticResource MediumGrayBrush}" />
                                        </ObjectAnimationUsingKeyFrames>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(Shape.Fill)" Storyboard.TargetName="NormalRectangle">
                                            <DiscreteObjectKeyFrame KeyTime="0" Value="{StaticResource MediumGrayBrush}" />
                                        </ObjectAnimationUsingKeyFrames>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="FocusHighlight">
                                            <DiscreteObjectKeyFrame KeyTime="0">
                                                <DiscreteObjectKeyFrame.Value>
                                                    <Visibility>Visible</Visibility>
                                                </DiscreteObjectKeyFrame.Value>
                                            </DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>
                                        <!-- TODO: Add "EnabledDependentAnimation="True" to this element -->
                                        <!--<ObjectAnimationUsingKeyFrames Duration="0"                                            
                                            Storyboard.TargetProperty="PlayState"
                                            Storyboard.TargetName="focusSound">
                                            <DiscreteObjectKeyFrame KeyTime="0" Value="1"></DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>-->
                                    </Storyboard>
                                </VisualState>
                                <VisualState x:Name="Unfocused" />
                                <VisualState x:Name="PointerFocused">
                                    <Storyboard>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="Background" Storyboard.TargetName="Border">
                                            <DiscreteObjectKeyFrame KeyTime="0" Value="{StaticResource MediumGrayBrush}" />
                                        </ObjectAnimationUsingKeyFrames>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="FocusHighlight">
                                            <DiscreteObjectKeyFrame KeyTime="0">
                                                <DiscreteObjectKeyFrame.Value>
                                                    <Visibility>Visible</Visibility>
                                                </DiscreteObjectKeyFrame.Value>
                                            </DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>
                                    </Storyboard>
                                </VisualState>
                            </VisualStateGroup>
                            <VisualStateGroup x:Name="CheckStates">
                                <VisualState x:Name="Checked">
                                    <Storyboard>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="CheckGlyph">
                                            <DiscreteObjectKeyFrame KeyTime="0">
                                                <DiscreteObjectKeyFrame.Value>
                                                    <Visibility>Visible</Visibility>
                                                </DiscreteObjectKeyFrame.Value>
                                            </DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>
                                    </Storyboard>
                                </VisualState>
                                <VisualState x:Name="Unchecked" />
                                <VisualState x:Name="Indeterminate">
                                    <Storyboard>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="IndeterminateGlyph">
                                            <DiscreteObjectKeyFrame KeyTime="0">
                                                <DiscreteObjectKeyFrame.Value>
                                                    <Visibility>Visible</Visibility>
                                                </DiscreteObjectKeyFrame.Value>
                                            </DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>
                                    </Storyboard>
                                </VisualState>
                            </VisualStateGroup>
                        </VisualStateManager.VisualStateGroups>

                        <Border x:Name="PointerOverHighlight"
                                BorderBrush="{StaticResource LightGrayBrush}"
                                Background="{x:Null}"
                                BorderThickness="4"
                                Margin="-8" 
                                Opacity="0"/>

                        <Border x:Name="FocusHighlight"
                                BorderBrush="{StaticResource WhiteBrush}"
                                Background="{x:Null}"
                                BorderThickness="4"
                                Margin="-8"
                                Visibility="Collapsed"/>

                        <Border x:Name="Border"
                                BorderThickness="{TemplateBinding BorderThickness}"
                                BorderBrush="{StaticResource MediumGrayBrush}"
                                RenderTransformOrigin="0.5,0.5">
                            <Border.RenderTransform>
                                <ScaleTransform />
                            </Border.RenderTransform>
                            <Grid>
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width="Auto" />
                                    <ColumnDefinition Width="*" />
                                </Grid.ColumnDefinitions>
                                <Grid x:Name="CheckBox"
                                      Background="{TemplateBinding Background}"
                                      RenderTransformOrigin="1,0.5"
                                      Width="100"
                                      Height="100"
                                      VerticalAlignment="Top">
                                    <Grid.RenderTransform>
                                        <ScaleTransform />
                                    </Grid.RenderTransform>
                                    <Ellipse x:Name="NormalRectangle"
                                        Stroke="{StaticResource LightGrayBrush}"
                                        StrokeThickness="4"
                                        Margin="18" />
                                    <Ellipse x:Name="CheckGlyph"
                                             Fill="{StaticResource WhiteBrush}"
                                             Height="25.557"
                                             Width="25.557"
                                             Visibility="Collapsed"
                                             Stretch="Fill"/>
                                    <Rectangle x:Name="IndeterminateGlyph"
                                        Fill="{StaticResource WhiteBrush}"
                                        Height="28"
                                        Width="28"
                                        UseLayoutRounding="False"
                                        Visibility="Collapsed" />
                                </Grid>
                                <Grid x:Name="ContentPresenter"
                                    Grid.Column="1"
                                    RenderTransformOrigin="0,0.5"
                                    HorizontalAlignment="Left"
                                    VerticalAlignment="Center">
                                    <Grid.RenderTransform>
                                        <ScaleTransform />
                                    </Grid.RenderTransform>
                                    <TextBlock Text="{TemplateBinding Content}"
                                        Padding="{TemplateBinding Padding}"
                                        VerticalAlignment="Stretch"
                                        HorizontalAlignment="Stretch"
                                        Style="{StaticResource ButtonTextStyle}"
                                        Canvas.ZIndex="2" />
                                </Grid>
                            </Grid>
                        </Border>

                        <Grid x:Name="DarkMask"
                              Visibility="Collapsed"
                              Margin="-4">
                            <Rectangle x:Name="rectangle"
                                       Fill="{StaticResource MediumGrayBrush}"
                                       HorizontalAlignment="Left"
                                       Width="14"
                                       RenderTransformOrigin="0,0.5">
                                <Rectangle.RenderTransform>
                                    <ScaleTransform ScaleX="0" />
                                </Rectangle.RenderTransform>
                            </Rectangle>
                            <Rectangle x:Name="rectangle1"
                                       Fill="{StaticResource MediumGrayBrush}"
                                       HorizontalAlignment="Right"
                                       Width="14"
                                       RenderTransformOrigin="1,0.5">
                                <Rectangle.RenderTransform>
                                    <ScaleTransform ScaleX="0" />
                                </Rectangle.RenderTransform>
                            </Rectangle>
                            <Rectangle x:Name="rectangle2"
                                       Fill="{StaticResource MediumGrayBrush}"
                                       Height="14"
                                       VerticalAlignment="Top"
                                       RenderTransformOrigin="0.5,0">
                                <Rectangle.RenderTransform>
                                    <ScaleTransform ScaleY="0" />
                                </Rectangle.RenderTransform>
                            </Rectangle>
                            <Rectangle x:Name="rectangle3"
                                       Fill="{StaticResource MediumGrayBrush}"
                                       Height="14"
                                       VerticalAlignment="Bottom"
                                       RenderTransformOrigin="0.5,1">
                                <Rectangle.RenderTransform>
                                    <ScaleTransform ScaleY="0" />
                                </Rectangle.RenderTransform>
                            </Rectangle>
                        </Grid>
                    </Grid>
                </ControlTemplate>
            </Setter.Value>
        </Setter>
    </Style>

    <!-- CheckBox Style-->
    <Style x:Key="CheckBoxStyle" TargetType="CheckBox">
        <Setter Property="MinHeight" Value="112" />
        <Setter Property="MinWidth" Value="316" />
        <Setter Property="MaxWidth" Value="948" />
        <Setter Property="Padding" Value="18,14,18,14" />
        <Setter Property="Foreground" Value="{StaticResource WhiteBrush}" />
        <Setter Property="HorizontalAlignment" Value="Left" />
        <Setter Property="VerticalAlignment" Value="Top" />
        <Setter Property="HorizontalContentAlignment" Value="Left" />
        <Setter Property="VerticalContentAlignment" Value="Top" />
        <Setter Property="BorderThickness"  Value="0,1,0,0" />
        <Setter Property="Background" Value="Transparent" />
        <Setter Property="Template">
            <Setter.Value>
                <ControlTemplate TargetType="CheckBox">
                    <Grid Margin="4,6" VerticalAlignment="Top">
                        <VisualStateManager.VisualStateGroups>
                            <VisualStateGroup x:Name="CommonStates">
                                <VisualStateGroup.Transitions>
                                    <VisualTransition From="Pressed" GeneratedDuration="0">
                                        <Storyboard>
                                            <DoubleAnimation Duration="0:0:0.333"
                                                To="0"
                                                Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleX)"
                                                Storyboard.TargetName="rectangle">
                                                <DoubleAnimation.EasingFunction>
                                                    <ExponentialEase Exponent="7" />
                                                </DoubleAnimation.EasingFunction>
                                            </DoubleAnimation>
                                            <DoubleAnimation Duration="0:0:0.333"
                                                To="0"
                                                Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleX)"
                                                Storyboard.TargetName="rectangle1">
                                                <DoubleAnimation.EasingFunction>
                                                    <ExponentialEase Exponent="7" />
                                                </DoubleAnimation.EasingFunction>
                                            </DoubleAnimation>
                                            <DoubleAnimation Duration="0:0:0.333"
                                                To="0"
                                                Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleY)"
                                                Storyboard.TargetName="rectangle2">
                                                <DoubleAnimation.EasingFunction>
                                                    <ExponentialEase Exponent="7" />
                                                </DoubleAnimation.EasingFunction>
                                            </DoubleAnimation>
                                            <DoubleAnimation Duration="0:0:0.333"
                                                To="0"
                                                Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleY)"
                                                Storyboard.TargetName="rectangle3">
                                                <DoubleAnimation.EasingFunction>
                                                    <ExponentialEase Exponent="7" />
                                                </DoubleAnimation.EasingFunction>
                                            </DoubleAnimation>
                                            <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="DarkMask">
                                                <DiscreteObjectKeyFrame KeyTime="0:0:0.333">
                                                    <DiscreteObjectKeyFrame.Value>
                                                        <Visibility>Visible</Visibility>
                                                    </DiscreteObjectKeyFrame.Value>
                                                </DiscreteObjectKeyFrame>
                                            </ObjectAnimationUsingKeyFrames>
                                        </Storyboard>
                                    </VisualTransition>
                                    <VisualTransition From="PointerOver"
                                        To="Normal"
                                        GeneratedDuration="0:0:0.33">
                                        <VisualTransition.GeneratedEasingFunction>
                                            <QuarticEase />
                                        </VisualTransition.GeneratedEasingFunction>
                                    </VisualTransition>
                                </VisualStateGroup.Transitions>
                                <VisualState x:Name="Normal" />
                                <VisualState x:Name="PointerOver">
                                    <Storyboard>
                                        <DoubleAnimation Duration="0"
                                            To="1"
                                            Storyboard.TargetProperty="(UIElement.Opacity)"
                                            Storyboard.TargetName="PointerOverHighlight" />
                                    </Storyboard>
                                </VisualState>
                                <VisualState x:Name="Pressed">
                                    <Storyboard>
                                        <DoubleAnimation Duration="0:0:0.133"
                                            To="1"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleX)"
                                            Storyboard.TargetName="rectangle">
                                            <DoubleAnimation.EasingFunction>
                                                <ExponentialEase Exponent="7" />
                                            </DoubleAnimation.EasingFunction>
                                        </DoubleAnimation>
                                        <DoubleAnimation Duration="0:0:0.133"
                                            To="1"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleX)"
                                            Storyboard.TargetName="rectangle1">
                                            <DoubleAnimation.EasingFunction>
                                                <ExponentialEase Exponent="7" />
                                            </DoubleAnimation.EasingFunction>
                                        </DoubleAnimation>
                                        <DoubleAnimation Duration="0:0:0.133"
                                            To="1"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleY)"
                                            Storyboard.TargetName="rectangle2">
                                            <DoubleAnimation.EasingFunction>
                                                <ExponentialEase Exponent="7" />
                                            </DoubleAnimation.EasingFunction>
                                        </DoubleAnimation>
                                        <DoubleAnimation Duration="0:0:0.133"
                                            To="1"
                                            Storyboard.TargetProperty="(UIElement.RenderTransform).(ScaleTransform.ScaleY)"
                                            Storyboard.TargetName="rectangle3">
                                            <DoubleAnimation.EasingFunction>
                                                <ExponentialEase Exponent="7" />
                                            </DoubleAnimation.EasingFunction>
                                        </DoubleAnimation>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="DarkMask">
                                            <DiscreteObjectKeyFrame KeyTime="0">
                                                <DiscreteObjectKeyFrame.Value>
                                                    <Visibility>Visible</Visibility>
                                                </DiscreteObjectKeyFrame.Value>
                                            </DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>
                                    </Storyboard>
                                </VisualState>
                                <VisualState x:Name="Disabled">
                                    <Storyboard>
                                        <!-- TODO: To="{StaticResource DisabledOpacity}" -->
                                        <DoubleAnimation Duration="0"
                                            To="0"
                                            Storyboard.TargetProperty="(UIElement.Opacity)"
                                            Storyboard.TargetName="ContentPresenter" />
                                    </Storyboard>
                                </VisualState>
                            </VisualStateGroup>
                            <VisualStateGroup x:Name="FocusStates">
                                <VisualStateGroup.Transitions>
                                    <VisualTransition From="Focused"
                                        To="Unfocused"
                                        GeneratedDuration="0:0:0.33">
                                        <VisualTransition.GeneratedEasingFunction>
                                            <QuarticEase />
                                        </VisualTransition.GeneratedEasingFunction>
                                    </VisualTransition>
                                    <VisualTransition From="PointerFocused"
                                        To="Unfocused"
                                        GeneratedDuration="0:0:0.33">
                                        <VisualTransition.GeneratedEasingFunction>
                                            <QuarticEase />
                                        </VisualTransition.GeneratedEasingFunction>
                                    </VisualTransition>
                                </VisualStateGroup.Transitions>
                                <VisualState x:Name="Focused">
                                    <Storyboard>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="Background" Storyboard.TargetName="Border">
                                            <DiscreteObjectKeyFrame KeyTime="0" Value="{StaticResource MediumGrayBrush}" />
                                        </ObjectAnimationUsingKeyFrames>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(Shape.Fill)" Storyboard.TargetName="NormalRectangle">
                                            <DiscreteObjectKeyFrame KeyTime="0" Value="{StaticResource MediumGrayBrush}" />
                                        </ObjectAnimationUsingKeyFrames>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="FocusHighlight">
                                            <DiscreteObjectKeyFrame KeyTime="0">
                                                <DiscreteObjectKeyFrame.Value>
                                                    <Visibility>Visible</Visibility>
                                                </DiscreteObjectKeyFrame.Value>
                                            </DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>
                                        <!-- TODO: Add EnableDependentAnimation="True" to this element -->
                                        <!--<ObjectAnimationUsingKeyFrames Duration="0"                                            
                                            Storyboard.TargetProperty="PlayState"
                                            Storyboard.TargetName="focusSound">
                                            <DiscreteObjectKeyFrame KeyTime="0" Value="1"></DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>-->
                                    </Storyboard>
                                </VisualState>
                                <VisualState x:Name="Unfocused" />
                                <VisualState x:Name="PointerFocused">
                                    <Storyboard>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="Background" Storyboard.TargetName="Border">
                                            <DiscreteObjectKeyFrame KeyTime="0" Value="{StaticResource MediumGrayBrush}" />
                                        </ObjectAnimationUsingKeyFrames>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="FocusHighlight">
                                            <DiscreteObjectKeyFrame KeyTime="0">
                                                <DiscreteObjectKeyFrame.Value>
                                                    <Visibility>Visible</Visibility>
                                                </DiscreteObjectKeyFrame.Value>
                                            </DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>
                                    </Storyboard>
                                </VisualState>
                            </VisualStateGroup>
                            <VisualStateGroup x:Name="CheckStates">
                                <VisualState x:Name="Checked">
                                    <Storyboard>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="CheckGlyph">
                                            <DiscreteObjectKeyFrame KeyTime="0">
                                                <DiscreteObjectKeyFrame.Value>
                                                    <Visibility>Visible</Visibility>
                                                </DiscreteObjectKeyFrame.Value>
                                            </DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>
                                    </Storyboard>
                                </VisualState>
                                <VisualState x:Name="Unchecked" />
                                <VisualState x:Name="Indeterminate">
                                    <Storyboard>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Visibility)" Storyboard.TargetName="IndeterminateGlyph">
                                            <DiscreteObjectKeyFrame KeyTime="0">
                                                <DiscreteObjectKeyFrame.Value>
                                                    <Visibility>Visible</Visibility>
                                                </DiscreteObjectKeyFrame.Value>
                                            </DiscreteObjectKeyFrame>
                                        </ObjectAnimationUsingKeyFrames>
                                    </Storyboard>
                                </VisualState>
                            </VisualStateGroup>
                        </VisualStateManager.VisualStateGroups>

                        <Border x:Name="PointerOverHighlight"
                                BorderBrush="{StaticResource LightGrayBrush}"
                                Background="{x:Null}"
                                BorderThickness="4"
                                Margin="-8" 
                                Opacity="0"/>

                        <Border x:Name="FocusHighlight"
                                BorderBrush="{StaticResource WhiteBrush}"
                                Background="{x:Null}"
                                BorderThickness="4"
                                Margin="-8"
                                Visibility="Collapsed"/>

                        <Border x:Name="Border"
                                BorderThickness="{TemplateBinding BorderThickness}"
                                BorderBrush="{StaticResource MediumGrayBrush}"
                                RenderTransformOrigin="0.5,0.5">
                            <Border.RenderTransform>
                                <ScaleTransform />
                            </Border.RenderTransform>
                            <Grid>
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width="Auto" />
                                    <ColumnDefinition Width="*" />
                                </Grid.ColumnDefinitions>
                                <Grid x:Name="CheckBox"
                                      Background="{TemplateBinding Background}"
                                      RenderTransformOrigin="1,0.5"
                                      Width="100"
                                      Height="100"
                                      VerticalAlignment="Top">
                                    <Grid.RenderTransform>
                                        <ScaleTransform />
                                    </Grid.RenderTransform>
                                    <Rectangle x:Name="NormalRectangle"
                                        Stroke="{StaticResource LightGrayBrush}"
                                        StrokeThickness="4"
                                        Margin="18" />
                                    <Path x:Name="CheckGlyph"
                                        Data="F1M41.1724,12.5073L35.6344,6.9173L21.1214,21.4003L13.6914,14.0053L8.1874,19.5363L21.1914,32.4743z"
                                        Fill="{StaticResource WhiteBrush}"
                                        Height="25.557"
                                        Width="32.985"
                                        Visibility="Collapsed"
                                        Stretch="Fill" />
                                    <Rectangle x:Name="IndeterminateGlyph"
                                        Fill="{StaticResource WhiteBrush}"
                                        Height="28"
                                        Width="28"
                                        UseLayoutRounding="False"
                                        Visibility="Collapsed" />
                                </Grid>
                                <Grid x:Name="ContentPresenter"
                                    Grid.Column="1"
                                    RenderTransformOrigin="0,0.5"
                                    HorizontalAlignment="Left"
                                    VerticalAlignment="Center">
                                    <Grid.RenderTransform>
                                        <ScaleTransform />
                                    </Grid.RenderTransform>
                                    <TextBlock Text="{TemplateBinding Content}"
                                        Style="{StaticResource ButtonTextStyle}"
                                        Padding="{TemplateBinding Padding}"
                                        VerticalAlignment="Stretch"
                                        HorizontalAlignment="Stretch"
                                        Canvas.ZIndex="2" />
                                </Grid>
                            </Grid>
                        </Border>

                        <Grid x:Name="DarkMask"
                              Visibility="Collapsed"
                              Margin="-4">
                            <Rectangle x:Name="rectangle"
                                       Fill="{StaticResource MediumGrayBrush}"
                                       HorizontalAlignment="Left"
                                       Width="14"
                                       RenderTransformOrigin="0,0.5">
                                <Rectangle.RenderTransform>
                                    <ScaleTransform ScaleX="0" />
                                </Rectangle.RenderTransform>
                            </Rectangle>
                            <Rectangle x:Name="rectangle1"
                                       Fill="{StaticResource MediumGrayBrush}"
                                       HorizontalAlignment="Right"
                                       Width="14"
                                       RenderTransformOrigin="1,0.5">
                                <Rectangle.RenderTransform>
                                    <ScaleTransform ScaleX="0" />
                                </Rectangle.RenderTransform>
                            </Rectangle>
                            <Rectangle x:Name="rectangle2"
                                       Fill="{StaticResource MediumGrayBrush}"
                                       Height="14"
                                       VerticalAlignment="Top"
                                       RenderTransformOrigin="0.5,0">
                                <Rectangle.RenderTransform>
                                    <ScaleTransform ScaleY="0" />
                                </Rectangle.RenderTransform>
                            </Rectangle>
                            <Rectangle x:Name="rectangle3"
                                       Fill="{StaticResource MediumGrayBrush}"
                                       Height="14"
                                       VerticalAlignment="Bottom"
                                       RenderTransformOrigin="0.5,1">
                                <Rectangle.RenderTransform>
                                    <ScaleTransform ScaleY="0" />
                                </Rectangle.RenderTransform>
                            </Rectangle>
                        </Grid>
                    </Grid>
                </ControlTemplate>
            </Setter.Value>
        </Setter>
    </Style>
    <!-- 
    BackButtons have a small visible area.
    The changes in this style (change margin to padding, set kinectpressinset,
    add border to template to support padding) enable a larger hit test region 
    for HandPointers
    -->
    <Style x:Key="BackButtonStyle" TargetType="Button">
        <Setter Property="MinWidth" Value="48"/>
        <Setter Property="MinHeight" Value="48"/>
        <Setter Property="Padding" Value="36,36,36,36" />
        <Setter Property="k:KinectRegion.KinectPressInset" Value="36,36,36,36" />
        <Setter Property="VerticalAlignment" Value="Bottom"/>        
        <Setter Property="FontWeight" Value="Normal"/>        
        <Setter Property="AutomationProperties.AutomationId" Value="BackButton"/>
        <Setter Property="AutomationProperties.Name" Value="Back"/>
        <Setter Property="AutomationProperties.ItemType" Value="Navigation Button"/>
        <Setter Property="Template">
            <Setter.Value>
                <ControlTemplate TargetType="Button">
                    <Grid x:Name="RootGrid">
                        <Border Padding="{TemplateBinding Padding}" Background="Transparent">
                            <Grid Margin="-1,-16,0,0">
                                <TextBlock x:Name="BackgroundGlyph" Text="&#xE0A8;" Foreground="Black" Opacity="0" FontFamily="Segoe UI Symbol" FontSize="56" />
                                <TextBlock x:Name="NormalGlyph" Text="&#xE071;" Foreground="Black" FontFamily="Segoe UI Symbol" FontSize="56" />
                                <TextBlock x:Name="ArrowGlyph" Text="&#xE0A6;" Foreground="White" Opacity="0" FontFamily="Segoe UI Symbol" FontSize="56"/>
                            </Grid>
                        </Border>
                        <Rectangle
                            x:Name="FocusVisualWhite"
                            IsHitTestVisible="False"
                            Stroke="White"
                            StrokeEndLineCap="Square"
                            StrokeDashArray="1,1"
                            Opacity="0"
                            StrokeDashOffset="1.5"/>
                        <Rectangle
                            x:Name="FocusVisualBlack"
                            IsHitTestVisible="False"
                            Stroke="Black"
                            StrokeEndLineCap="Square"
                            StrokeDashArray="1,1"
                            Opacity="0"
                            StrokeDashOffset="0.5"/>

                        <VisualStateManager.VisualStateGroups>
                            <VisualStateGroup x:Name="CommonStates">
                                <VisualState x:Name="Normal" />
                                <VisualState x:Name="PointerOver">
                                    <Storyboard>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetName="BackgroundGlyph" Storyboard.TargetProperty="Foreground">
                                            <DiscreteObjectKeyFrame KeyTime="0" Value="{StaticResource MediumGrayBrush}"/>
                                        </ObjectAnimationUsingKeyFrames>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetName="NormalGlyph" Storyboard.TargetProperty="Foreground">
                                            <DiscreteObjectKeyFrame KeyTime="0" Value="{StaticResource MediumGrayBrush}"/>
                                        </ObjectAnimationUsingKeyFrames>
                                    </Storyboard>
                                </VisualState>
                                <VisualState x:Name="Pressed">
                                    <Storyboard>
                                        <DoubleAnimation
                                            Storyboard.TargetName="ArrowGlyph"
                                            Storyboard.TargetProperty="Opacity"
                                            To="1"
                                            Duration="0"/>
                                        <DoubleAnimation
                                            Storyboard.TargetName="BackgroundGlyph"
                                            Storyboard.TargetProperty="Opacity"
                                            To="1"
                                            Duration="0"/>
                                        <DoubleAnimation
                                            Storyboard.TargetName="NormalGlyph"
                                            Storyboard.TargetProperty="Opacity"
                                            To="0"
                                            Duration="0"/>
                                    </Storyboard>
                                </VisualState>
                                <VisualState x:Name="Disabled">
                                    <Storyboard>
                                        <ObjectAnimationUsingKeyFrames Storyboard.TargetName="RootGrid" Storyboard.TargetProperty="Visibility">
                                            <DiscreteObjectKeyFrame KeyTime="0" Value="Collapsed"/>
                                        </ObjectAnimationUsingKeyFrames>
                                    </Storyboard>
                                </VisualState>
                            </VisualStateGroup>
                            <VisualStateGroup x:Name="FocusStates">
                                <VisualState x:Name="Focused">
                                    <Storyboard>
                                        <DoubleAnimation
                                            Storyboard.TargetName="FocusVisualWhite"
                                            Storyboard.TargetProperty="Opacity"
                                            To="1"
                                            Duration="0"/>
                                        <DoubleAnimation
                                            Storyboard.TargetName="FocusVisualBlack"
                                            Storyboard.TargetProperty="Opacity"
                                            To="1"
                                            Duration="0"/>
                                    </Storyboard>
                                </VisualState>
                                <VisualState x:Name="Unfocused" />
                                <VisualState x:Name="PointerFocused" />
                            </VisualStateGroup>
                        </VisualStateManager.VisualStateGroups>
                    </Grid>
                </ControlTemplate>
            </Setter.Value>
        </Setter>
    </Style>    
</ResourceDictionary>
